JeuxVideos/JeuxVideos/urls.py
from django.contrib import admin
from django.urls import path, include
from lesJeux import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('lesJeux/', include('lesJeux.urls'))
]

JeuxVideos/lesJeux/urls.py
from django.urls import path
from .views import *
from . import views
from django.views.generic import RedirectView

app_name = 'lesJeux' # Encapsule les urls de ce module dans le namespace musique
urlpatterns = [
    path('<int:pk>', JeuDetailView.as_view(), name='jeu-detail'),
    path('jeu', JeuList.as_view(), name='jeu_list'),
    path('jeu/create', JeuCreate.as_view(), name='jeu_create'),
    path('<int:pk>/delete/', JeuDelete.as_view(), name='jeu-delete'),
    path('jeu/<int:pk>', JeuUpdate.as_view(), name='jeu_update'),
    path('', JeuList.as_view(), name='jeu_list'),


    path('editeur/', EditeurList.as_view(), name='editeur_list'),
    path('editeur/<int:pk>', EditeurDetailView.as_view(), name='editeur-detail'),
    path('editeur/create', EditeurCreate.as_view(), name='editeur_create'),
    path('editeur/<int:pk>/delete/', EditeurDelete.as_view(), name='editeur-delete'),
    path('editeur/<int:pk>/update', EditeurUpdate.as_view(), name='editeur_update'),

    path('personnage/', PersonnageList.as_view(), name='personnage_list'),
    path('personnage/<int:pk>', PersonnageDetailView.as_view(), name='personnage-detail'),
    path('personnage/create', PersonnageCreate.as_view(), name='personnage_create'),
    path('personnage/<int:pk>/delete/', PersonnageDelete.as_view(), name='personnage-delete'),
    path('personnage/<int:pk>/update', PersonnageUpdate.as_view(), name='personnage_update'),
    path('jeu/create/personnage', PersonnageCreate2.as_view(),name='personnage_create2')
]

JeuxVideos/templates/baseLayout.html
<!doctype html>
{% load static %}
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title >
        {% block title %}{% endblock %}
        </title>
        {% block metas %}
        <meta name="viewport" content="width=device-width, initial-scale=1,shrink-to-fit=no">
        {% endblock %}
        {% block styles %}
        <link rel="stylesheet" href="{% static 'node_modules/bootstrap/dist/css/bootstrap.min.css' %}">
        {% endblock %}
    </head>
    <body>
        {% block nav %}
        <nav class="navbar navbar-expand-md navbar-dark bg-secondary  p-1">
            <a class="p-1 text-light" href="{% url 'lesJeux:jeu_list' %}">Les Jeux</a>
            <a class="p-1 text-light" href="{% url 'lesJeux:editeur_list' %}">Les Editeurs</a>
            <a class="p-1 text-light" href="{% url 'lesJeux:personnage_list' %}">Les Personnages</a>
            <a class="p-1 text-light" href="/admin"> Admin</a>
        
        </nav>    
        <h1 class="bg-light  mb-4 text-center">Bibliothèque de Jeux Videos</h1>
        


        
    
        {% endblock %}
        <main role="main" class="container top-pushed">
        <div class="jumbotron">
        {% block content %}
        {% endblock %}
        </div>
        </main>
        {% block js %}
        <script src="{% static 'node_modules/jquery/dist/jquery.min.js' %}"></script>
        <script src="{% static 'node_modules/bootstrap/dist/js/bootstrap.min.js' %}"></script>
        <script src="{% static 'node_modules/popper.js/dist/popper.min.js' %}"></script>
        {% endblock %}
    </body>
</html>